# Aelia Tax Display by Country - Change Log

## Version 1.x
####1.7.12.151116
* Fixed conflict with shipping calculator. The shipping country is no longer overwritten when the shipping calculator is used.

####1.7.11.151111
* Fixed bug in tax calculation on cart page. The bug caused the "fixed prices" feature to be ignored when the shipping calculator available on the cart was used.

####1.7.10.150914
* Improved support for WooCommerce 2.4.7:
	* Added logic to create a dynamic cache hash for prices with/without taxes.

####1.7.9.150911
* Fixed caching issue caused by WooCommerce 2.4:
	* Added logic to clear product cache when plugin settings are saved. This will ensure that product prices are displayed with or without tax, according to the new settings.

####1.7.8.150910
* Updated download link for Aelia Foundation Classes.

####1.7.7.150831
* Improved performance in WooCommerce 2.4. The latest version of WooCommerce is slower in returning the data required by the plugin. The logic behind the Tax Display plugin has been optimised to compensate for this issue.

####1.7.6.150828
* Fixed bug caused by WooCommerce 2.4:
	* The bug affected the "keep prices fixed" feature, whose logic kept running in an infinite loop, in some WooCommerce configurations. The cause was a change in the logic used to retrieve shop's base location, which triggered filters and actions unexpectedly.

####1.7.5.150824
* Fixed bug caused by WooCommerce 2.4:
	* Altered code to handle the new Ajax action triggered when the order is reviewed at checkout.

####1.7.4.150716
* Fixed incompatibility with Bundles plugin. The bug caused an error to be thrown, in some circumstances, when viewing a "bundle" product.

####1.7.3.150704
* Wrapped the price suffix in a `<span>` element. This will simplify styling.

####1.7.2.150512
* Removed redundant call to `WC_Aelia_Tax_Display_By_Country::set_hooks()` method.

####1.7.1.150115
* Restored code that was removed by mistake in previous release.

####1.7.0.150109
* Added logic to keep prices fixed regardless of what tax rate applies to the customer.
* Dropped support for WooCommerce 2.0.

####1.6.11.141216
* Fixed bug that prevented the correct tax rate from being applied for first time visitors.
* Renamed main plugin file to adhere to WordPress standards.

####1.6.10.141215
* Added convenience trigger to **Tax Display** settings page. The trigger automatically adds all European Union countries to a row.

####1.6.9.141104
* Changed cart action used to force shipping calculation.

####1.6.8.141103
* Fixed minor notice in settings renderer.

####1.6.7.141023
* Added code to force customer's country on cart without having to calculate the shipping.

####1.6.3.141018
* Added caching of detected country to user's session.

####1.6.2.141017
* Removed redundant call to plugin's auto-update mechanism.
* Added logic to force initialisation of WooCommerce session regardless of the cart status.

####1.6.1.141012
* Added logic to "trick" WooCommerce to think that shipping has been calculated when a billing country is selected, so that the appropriate tax rate of the selected country.
* Fixed bug in Admin UI that prevented elements from being dragged/dropped.
* Added call to localisation functions for configured price suffixes.

####1.6.0.141003
* Implemented the "I'm tax exempt" feature.

####1.5.12.140924
* Tweak to force WooCommerce cart to take customer's location into account for tax calculation.
* The country selected using the widget is now stored against the user object.

####1.5.11.140825
* Added processing of widget titles through localisation functions.

####1.5.10.140819
* Updated logic used to for requirements checking.

####1.5.9.140805
* Improved user interface:
	* Added placeholder for price suffix field.
	* Added filters to display price suffix for shipping on cart and checkout.

####1.5.8.140729
* Fixed bug that caused the settings page to always be rendered empty.
* Fixed bug that caused the tax display settings not to be applied correctly during ajax calls.

####1.5.7.140715
* Fixed minor bug in Settings and Settings_Renderer classes, which caused a warning to be raised when the plugin ran for the first time.

####1.5.6.140714
* Improved documentation.

####1.5.4.140619
* Modified loading of Aelia_WC_RequirementsChecks class to work around quirks of Opcode Caching extensions, such as APC and XCache.

####1.5.3.140611
* Improved compatibility with Codestyling Localization plugin.

####1.5.2.140520
* Fixed bug in logic that stored the selected billing country in checkout page.

####1.5.1.140511
* Removed unneeded code.
* Changed billing country field name to aelia_billing_country, for easier integration with the Currency Switcher.

####1.5.0.140509
* Refactored plugin to use AFC for WooCommerce.

####1.2.0.140502
* Added possibility to specify a price suffix for each tax display rule.

####1.1.2.140427
* Improved UI of plugin settings page.
* Fixed incompatibility of drag & drop feature with Firefox.

####1.1.1.140427
* Fixed bug in geolocation detection.

####1.1.0.140419
* Added billing country selector widget.
* Fixed shortcode for billing country selector.

####1.0.0.140418
* Completed UI for plugin settings page.

## Version 0.x
####0.5.1.140417
* Updated Geolocation database to new format.

####0.5.0.140417
* Implemented plugin configuration page.
* Implemented logic to override the tax display settings depending on customer's country.
* Added frontend and backend scripts and styles.

####0.1.1.140416
* Implemented draft of plugin's settings page.
* Added link to settings page to WooCommerce menu.

####0.1.0.140416
* First plugin draft.
