<?php if(!defined('ABSPATH')) exit; // Exit if accessed directly

use Aelia\WC\TaxDisplayByCountry\WC_Aelia_Tax_Display_By_Country;
use Aelia\WC\TaxDisplayByCountry\Definitions;

// $widget_args is passed when widget is initialised
echo get_value('before_widget', $widget_args);

// This wrapper is needed for widget JavaScript to work correctly
echo '<div class="aelia_tax_display_by_country widget_wc_aelia_billing_country_selector_widget">';

// Title is set in Aelia\TaxDisplayByCountry\Country_Selector_Widget::widget()
$widget_title = get_value('title', $widget_args);
if(!empty($widget_title)) {
	echo get_value('before_title', $widget_args);
	echo apply_filters('widget_title', __($widget_title, $this->text_domain));
	echo get_value('after_title', $widget_args);
}

echo '<!-- Tax Display by Country v.' . WC_Aelia_Tax_Display_By_Country::$version . ' - Billing Country Selector Widget -->';
echo '<form method="post" class="billing_country_selector_form">';
// The hidden field will allow to know when the user has changed the tax display settings. This is
// necessary to figure out if the "tax exempt" flag should be processed as well. When the checkbox
// is unchecked, it's not POSTed back to the server. However, its absence might also mean that the POST
// arrived from another source and that the "I'm tax exempt" setting should not change.
echo '<input type="hidden" name="' . Definitions::ARG_TAX_DISPLAY_SELECTION . '" value="1" />';

echo '<select class="countries" name="' . Definitions::ARG_AELIA_BILLING_COUNTRY . '">';
foreach($widget_args['countries'] as $country_code => $country_name) {
	$selected_attr = '';
	if($country_code === $widget_args['selected_country']) {
		$selected_attr = 'selected="selected"';
	}
	echo '<option value="' . $country_code . '" ' . $selected_attr . '>' . $country_name. '</option>';
}
echo '</select>';

// If necessary, display the "I'm tax exempt" option
if($widget_args['tax_exempt_flag_enabled']): ?>
	<div class="tax_exempt_wrapper">
		<?php $checked_attr = !empty($widget_args['tax_exempt']) ? 'checked="checked"' : ''; ?>
		<input id="tax_exempt" class="tax_exempt" name="<?php echo Definitions::ARG_TAX_EXEMPT; ?>" type="checkbox" value="1" <?php echo $checked_attr; ?> />
		<label for="tax_exempt"><?php
			echo __($widget_args['tax_exempt_flag_label'], $this->text_domain);
		?></label>
	</div>
<?php endif;

// Display the "change country" button only when JavaScript is disabled. When it's enabled, selecting a
// country in the dropdown will automatically trigger the billing country switch
?>
		<button type="submit" class="button change_country"><?php
			echo __('Change Country', $this->text_domain);
		?></button>
	</form>
</div>
<?php
echo get_value('after_widget', $widget_args);
